## ocaml-sqlexpr 0.5.5

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

## ocaml-sqlexpr 0.2.3

=== debian/changelog ===
ocaml-sqlexpr (0.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #605683)
  * Fix debian/copyright, missing copyright holder
  * Add debian/watch and a Source field in debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 18 Feb 2011 01:49:45 +0100

=== debian/control ===
Source: ocaml-sqlexpr
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libsqlite3-ocaml-dev,
  liblwt-ocaml-dev,
  libextlib-ocaml-dev,
  libcsv-ocaml-dev,
  libbatteries-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlp4
Standards-Version: 3.9.1
Homepage: http://github.com/mfp/ocaml-sqlexpr
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlexpr.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sqlexpr.git

Package: libsqlexpr-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Type-safe, convenient SQLite database access.
 Minimalistic library and syntax extension for type-safe, convenient execution
 of SQL statements. Currently compatible with Sqlite3.
 .
 Sqlexpr features:
  * automated prepared statement caching, param binding, data extraction, error
    checking (including automatic stmt reset to avoid BUSY/LOCKED errors in
    subsequent queries), stmt finalization on db close, etc.
  * HOFs like iter, fold, transaction
  * support for different concurrency models: everything is functorized over a
    THREAD monad, so you can for instance do concurrent folds/iters with Lwt
  * support for SQL stmt syntax checks and some extra semantic checking (column
    names, etc)

Package: libsqlexpr-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Type-safe, convenient SQLite database access.
 Minimalistic library and syntax extension for type-safe, convenient execution
 of SQL statements. Currently compatible with Sqlite3.
 .
 Sqlexpr features:
  * automated prepared statement caching, param binding, data extraction, error
    checking (including automatic stmt reset to avoid BUSY/LOCKED errors in
    subsequent queries), stmt finalization on db close, etc.
  * HOFs like iter, fold, transaction
  * support for different concurrency models: everything is functorized over a
    THREAD monad, so you can for instance do concurrent folds/iters with Lwt
  * support for SQL stmt syntax checks and some extra semantic checking (column
    names, etc)
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/libsqlexpr-ocaml-dev'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-sqlexpr 0.4.1

=== debian/changelog ===
ocaml-sqlexpr (0.4.1-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Dmitrijs Ledkovs ]
  * Add libestring-ocaml-dev build-dep to fix FTBFS. (Closes: #718138)
  * Add myself to uploaders.
  * Use canonical Vcs-* locations.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 03 Sep 2013 23:08:26 +0100

ocaml-sqlexpr (0.4.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Dec 2011 14:59:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
+Uploaders: Dmitrijs Ledkovs <xnox@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
@@ -13,20 +12,21 @@
   libextlib-ocaml-dev,
   libcsv-ocaml-dev,
   libbatteries-ocaml-dev,
+  libestring-ocaml-dev,
   dh-ocaml (>= 0.9~),
   debhelper (>= 7.0.50~),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/mfp/ocaml-sqlexpr
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sqlexpr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sqlexpr.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sqlexpr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-sqlexpr.git
 
 Package: libsqlexpr-ocaml-dev
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: Type-safe, convenient SQLite database access.
+Description: type-safe, convenient SQLite database access (development)
  Minimalistic library and syntax extension for type-safe, convenient execution
  of SQL statements. Currently compatible with Sqlite3.
  .
@@ -44,7 +44,7 @@
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: Type-safe, convenient SQLite database access.
+Description: type-safe, convenient SQLite database access (runtime)
  Minimalistic library and syntax extension for type-safe, convenient execution
  of SQL statements. Currently compatible with Sqlite3.
  .

## ocaml-sqlexpr 0.5.5

=== debian/changelog ===
ocaml-sqlexpr (0.5.5-2build4) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 14:19:30 +0000

ocaml-sqlexpr (0.5.5-2build3) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Jan 2016 11:56:59 +0000

ocaml-sqlexpr (0.5.5-2build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 15:53:47 -0600

ocaml-sqlexpr (0.5.5-2build1) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 17:32:50 +0000

ocaml-sqlexpr (0.5.5-2) unstable; urgency=medium

  * Add ${shlibs:Depends} to Depends field of each binary package
    to avoid raising the "missing-dependency-on-libc needed by sqlexpr.cmxs"
    error.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 22:20:12 +0200

ocaml-sqlexpr (0.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #731685).
    - Reresh patches.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 20:49:21 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: libsqlexpr-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: type-safe, convenient SQLite database access (development)
@@ -42,7 +42,7 @@
 
 Package: libsqlexpr-ocaml
 Architecture: any
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: type-safe, convenient SQLite database access (runtime)
  Minimalistic library and syntax extension for type-safe, convenient execution

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
 export OCAMLFIND_DESTDIR
-OCAMLFIND_LDCONF=ignore
-export OCAMLFIND_LDCONF
 
 %:
 	dh --with ocaml $@

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=190 \
    .*/ocaml-sqlexpr-([\d\.]*)\.tar\.gz
